//
//  effect.cpp
//  noteDefense
//
//  Created by Mark Kwon on 12/9/15.
//
//

#include "effect.hpp"

Effect::Effect(int duration) {
    numDuration = duration;
}

void Effect::decreaseDuration() {
    if (numDuration > 0) --numDuration;
    else throw "can't decrease from 0";
}

bool Effect::isDone() {
    return numDuration == 0;
}