//
//  nuclearEffect.hpp
//  noteDefense
//
//  Created by Mark Kwon on 12/10/15.
//
//

#ifndef nuclearEffect_hpp
#define nuclearEffect_hpp

#include <stdio.h>
#include "effect.hpp"

class NuclearEffect : public Effect {
public:
    NuclearEffect();
    
    bool draw();
    int type();
    
protected:
    ofImage missile;
    bool explode;
    ofSoundPlayer explosion;
    
    float missileY;
    float missileX = 500;
    
    int radius = 1;
    
};
#endif /* nuclearEffect_hpp */
