//
//  attackEffect.cpp
//  noteDefense
//
//  Created by Mark Kwon on 12/9/15.
//
//

#include "attackEffect.hpp"

AttackEffect::AttackEffect(float x, float y, float width, float height) : Effect(7), width(width), height(height){
    positionX = x;
    positionY = y;
}

int AttackEffect::type() {
    return 0;
}

bool AttackEffect::draw() {
    ofSetColor(255, 140, 0);
    for (int i = 0; i < numCircles; ++i) {
        float x = ofRandom(positionX, positionX + width);
        float y = ofRandom(positionY, positionY + height);
        ofCircle(x, y, radius);
    }
    return true;
}