//
//  effect.hpp
//  noteDefense
//
//  Created by Mark Kwon on 12/9/15.
//
//

#ifndef effect_hpp
#define effect_hpp

#include <stdio.h>
#include "ofMain.h"

class Effect {
public:
    Effect(int duration);
    
    void decreaseDuration();
    bool isDone();
    
    virtual bool draw() = 0;
    virtual int type() = 0;
    
protected:
    int numDuration;
    float positionX, positionY;
    
};

#endif /* effect_hpp */
