//
//  killEffect.cpp
//  noteDefense
//
//  Created by Mark Kwon on 12/10/15.
//
//

#include "killEffect.hpp"

KillEffect::KillEffect(float x, float y) : Effect(30) {
    positionX = x;
    positionY = y;
    radius = 1;
}

int KillEffect::type() {
    return 2;
}

bool KillEffect::draw() {
    ofNoFill();
    ofSetColor(57, 255, 20, 200);
    ofCircle(positionX, positionY, radius++);
    
    return true;
}