//
//  notes.cpp
//  finalProject
//
//  Created by Mark Kwon on 11/11/15.
//
//

#include "note.hpp"

using namespace std;

ofSoundPlayer Note::snds[NUM_NOTES];
bool Note::initialized = false;

Note::Note(Notes note): note(note) {
    if (!initialized) makeArray();
}

void Note::play() {
    snds[note].play();
}

string Note::noteString() {
    return string(ToString(note));
}

string Note::getFileName(Notes n) {
    return string(ToString(n)) + ".wav";
}


void Note::makeArray() {
    
    for (int i = Notes::C; i <= Notes::B; ++i) {
        snds[i].loadSound( getFileName( Notes(i) ) );
//        snds[i].setMultiPlay(true);
    }
}

