//
//  player.hpp
//  noteDefense
//
//  Created by Mark Kwon on 12/8/15.
//
//

#ifndef player_hpp
#define player_hpp

#include "ofMain.h"
#include <stdio.h>

class Player {
public:
    Player();
    
    void draw();
    void update();
    
    void damage(float attack);
    
    float playerLocation();
    
    bool isAlive();

private:
    ofImage img;
    float positionX = 900;
    float positionY = 600;
    
    float MAX_HP = 100;
    float hp;
    
    int SIZE = 100;
};

#endif /* player_hpp */
